org.eclipse.jetty.annotations

## Class ClassInheritanceHandler

- java.lang.Object
- - org.eclipse.jetty.annotations.ClassInheritanceHandler

All Implemented Interfaces:
  AnnotationParser.ClassHandler, AnnotationParser.Handler

    public class ClassInheritanceHandler
    extends Object
    implements AnnotationParser.ClassHandler

ClassInheritanceHandler As asm scans for classes, remember the type hierarchy.

### Constructor Summary

Constructors
Constructor and Description
`ClassInheritanceHandler()`
`ClassInheritanceHandler(MultiMap map)`

### Method Summary

Methods
`List` `getClassNamesExtendingOrImplementing(String className)`
`MultiMap` `getMap()`
`void` `handle(String className, int version, int access, String signature, String superName, String[] interfaces)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassInheritanceHandler

    public ClassInheritanceHandler()

#### ClassInheritanceHandler

    public ClassInheritanceHandler(MultiMap map)

### Method Detail

#### handle

    public void handle(String className,
              int version,
              int access,
              String signature,
              String superName,
              String[] interfaces)

Specified by:
  `handle` in interface `AnnotationParser.ClassHandler`

#### getClassNamesExtendingOrImplementing

    public List getClassNamesExtendingOrImplementing(String className)

#### getMap

    public MultiMap getMap()